image: python:latest

before_script:
  - python --version ; pip --version
  - pip install virtualenv
  - virtualenv venv
  - source venv/bin/activate
  - pip install flask

build-job:
    stage: build
    script:
        - echo "Hello, $GITLAB_USER_LOGIN!"
test-job1:
    stage: test
    script:
        - pip --version
        - python3 -m unittest -v run_testes.py
test-job2:
    stage: test
    script:
        - echo "This job tests something, but takes more time than test-job1."
        - echo "After the echo commands complete, it runs the sleep command for 20 seconds"
        - echo "which simulates a test that runs 20 seconds longer than test-job1"
        - sleep 20
deploy-prod:
    stage: deploy
    script:
        - echo "This job deploys something from the $CI_COMMIT_BRANCH branch."